Page MenuHomePhabricator

User Shizhao can't login to wikitech
Closed, ResolvedPublic

Description

Can't login wikitech: https://wikitech.wikimedia.org/wiki/Special:UserLogin

input username and password, goto here

"Please enter verification code from your mobile app" what is this?

Plese help me!

Event Timeline

Shizhao created this task.Sep 6 2016, 12:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 6 2016, 12:38 PM
Krenair added a subscriber: Krenair.Sep 6 2016, 1:54 PM

It's two-factor authentication. You must've enabled it on your account.

Peachey88 added subscribers: csteipp, Peachey88.EditedSep 6 2016, 10:06 PM

@Shizhao When was the last time you logged into wikitech successfully?

There was a mistake at one stage that resulted in a number of people accidently having 2FA activated, @csteipp tried to rollback where he could but wasn't sure if he caught all the cases (From my understanding)…

@Shizhao When was the last time you logged into wikitech successfully?
There was a mistake at one stage that resulted in a number of people accidently having 2FA activated, @csteipp tried to rollback where he could but wasn't sure if he caught all the cases (From my understanding)…

last time about 3 years ago....

I just request a labs account :(

ops, logged into wikitech successfully... .About 4 - 5 years ago? I don‘t remember

Liuxinyu970226 added a subscriber: Liuxinyu970226.EditedOct 3 2016, 3:31 AM

I also have this problem since March, before that I never set that thing.

Is this really mandatory now?

Of those, @dpatrick is probably the right person that knows, but I am standing by in case something is needed from my side.

Months ago, I can log in,but it also happen to me. I don't know rember I had set two-factor authentication or not. Can someone help me? >_< My account there is also "shoichi"

@Shizhao, we don't use Extension:TwoFactorAuthentication for 2FA, we use Extension:OATHAuth. But either way I have no reason to believe this is a problem with the software itself.

Shoichi triaged this task as High priority.Nov 24 2016, 12:23 PM

Months ago, I can log in,but it also happen to me. I don't know rember I had set two-factor authentication or not. Can someone help me? >_< My account there is also "shoichi"

Until now, I still can't log in wikitech.wikimedia.org. I guess that I need to use Google authenticator, but I don't know what should I input there. I didn't find any document about two-factor authentication on wikitech.wikimedia.org. I beg ops help me turn off my two-factor authentication let me log in. Then I reset it or not,and go to set my Gerrit for my project.

Reedy added a subscriber: Reedy.Nov 25 2016, 1:31 PM

Ok, so what username are you using on wikitech? Is it Shoichi too? I notice that isn't linked to your Wikitech account, but is to your normal wiki account...

Ok, so what username are you using on wikitech? Is it Shoichi too? I notice that isn't linked to your Wikitech account, but is to your normal wiki account...

Yes, my username is also shoichi there. As I remembered, I couldn't link Wikitech to my normal wikimedia projects account. So I also just create the same name there.

Mentioned in SAL (#wikimedia-operations) [2016-11-25T14:16:20Z] <Reedy> delete oathauth row on wikitech for user Shoichi per T144805

Reedy added a comment.Nov 25 2016, 2:19 PM

This has now been done :)

This has now been done :)

me too...

Mentioned in SAL (#wikimedia-operations) [2016-11-25T14:22:17Z] <Reedy> delete oathauth row on wikitech for user Liuxinyu970226 per T144805

Reedy closed this task as Resolved.Nov 25 2016, 2:28 PM
Reedy claimed this task.

Mentioned in SAL (#wikimedia-operations) [2016-11-25T14:16:20Z] <Reedy> delete oathauth row on wikitech for user Shoichi per T144805

Thank you very much .

no, still can't login, "Please enter verification code from your mobile app"

Shizhao reopened this task as Open.Nov 29 2016, 9:27 AM
Reedy added a comment.Nov 29 2016, 1:24 PM

This is why people shouldn't pile on with "me too" requests on the same bug for the same thing when it directly affects their account

Mentioned in SAL (#wikimedia-operations) [2016-11-29T13:27:24Z] <Reedy> deleted oathauth row on wikitech for user Shizhao per T144805

Reedy closed this task as Resolved.Nov 29 2016, 1:28 PM
Ato_01 added a subscriber: Ato_01.Oct 6 2018, 7:21 PM

I have the same probleme. user Ato_01

Ato_01 reopened this task as Open.Oct 6 2018, 7:23 PM
Ato_01 removed a project: wikitech.wikimedia.org.
Ato_01 closed this task as Resolved.Oct 6 2018, 7:27 PM
Aklapper renamed this task from Can't login wikitech to User Shizhao can't login to wikitech.Oct 6 2018, 10:08 PM